Bug 101435 - internal error: Segmentation fault (With minimal source code)
internal error: Segmentation fault (With minimal source code)
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2003-07-31 21:18 EDT by jostle
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-01 06:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jostle 2003-07-31 21:18:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
gcc crashes with the message
internal error: Segmentation fault
even with the absolute minimum program

int main() {}

This must be caused by some change in the environment as gcc has been working
fine previously.

Version-Release number of selected component (if applicable):
gcc (GCC) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

How reproducible:

Steps to Reproduce:
1. Compile the minimal program

Actual Results:  Transcript of session ...
playpen/viewklass/test_gcc > ls -al
total 16
drwxrwxr-x    2 john     john         4096 Aug  1 10:28 .
drwxrwxr-x   10 john     john         8192 Aug  1 09:53 ..
-rw-rw-r--    1 john     john           16 Aug  1 10:28 BreakGcc.cc
playpen/viewklass/test_gcc > cat BreakGcc.cc
int main() {}
playpen/viewklass/test_gcc > gcc BreakGcc.cc
BreakGcc.cc: In function `int main()':
BreakGcc.cc:1: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Additional info:

I suspect (and hope) that after a reboot, which I will do now, things will get
back to normal.

I realise that the cause of this problem could be extremely difficult to
identify. I am submitting this bug report more as a means of documenting the
occurrence of this situation.
Comment 1 Jakub Jelinek 2003-08-01 06:41:31 EDT
That must be problem on your end, likely hardware or maybe kernel.
We obviously could not ship a compiler which would not compile such trivial

Note You need to log in before you can comment on or make changes to this bug.